Bug 202699 - esc shouldn't show icon unless a smart card is inserted
esc shouldn't show icon unless a smart card is inserted
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
:
Depends On:
Blocks: 181509
  Show dependency treegraph
 
Reported: 2006-08-15 17:32 EDT by Ray Strode [halfline]
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 08:08:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2006-08-15 17:32:22 EDT
Right now, all users are getting an icon for ESC.  Most users don't use esc, so
it shouldn't show itself.
Comment 1 Jack Magne 2006-08-23 16:18:37 EDT
Currently have working development code that effectively hides the icon at
startup, and can show the icon when a user inserts a supported key. The ultimate
solution to this will involve a daemon that checks for key insertions. When the
daemon detects a key insertion, it should then launch ESC if it is not yet running.
Comment 2 Jack Magne 2006-08-29 17:13:05 EDT
Currently testing this fix. Soon to attempt Rawhide build.
Comment 3 Jack Magne 2006-08-30 00:30:09 EDT
Performed Rawhide build, esc-1.0.0-8 and tested on local machine. Test worked fine.
Comment 4 Jack Magne 2006-08-31 00:59:48 EDT
Performed Rawhide build esc-1.0.0-9. Icon is hidden on startup. If all is
working correctly with the panel icon, the icon should show up, along with a
notification bubble, when the key is inserted. Works on local test machine.
Comment 8 Jay Turner 2006-11-13 08:08:36 EST
Closing out as resolved with the 20061111.0 trees.

Note You need to log in before you can comment on or make changes to this bug.